Package org.opensaml.saml.saml2.metadata

# Interface AttributeConsumingService

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `AttributeConsumingServiceImpl`

public interface AttributeConsumingService extends SAMLObject
SAML 2.0 Metadata AttributeAuthorityDescriptor.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`INDEX_ATTRIB_NAME`
"index" attribute's local name.
`static final String`
`IS_DEFAULT_ATTRIB_NAME`
"isDefault" attribute's local name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`List<ServiceDescription>`
`getDescriptions()`
Gets the descriptions for this service.
`Integer`
`getIndex()`
Gets the index for this service.
`List<ServiceName>`
`getNames()`
Gets the list of names this service has.
`List<RequestedAttribute>`
`getRequestedAttributes()`
Gets the attributes this service requests.
`Boolean`
`isDefault()`
Checks if this is the default service for the service provider.
`XSBooleanValue`
`isDefaultXSBoolean()`
Checks if this is the default service for the service provider.
`void`
`setIndex(Integer index)`
Sets the index for this service.
`void`
`setIsDefault(Boolean newIsDefault)`
Sets if this is the default service for the service provider.
`void`
`setIsDefault(XSBooleanValue newIsDefault)`
Sets if this is the default service for the service provider.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### INDEX_ATTRIB_NAME

@Nonnull @NotEmpty static final String INDEX_ATTRIB_NAME
"index" attribute's local name.

See Also:
  - Constant Field Values

### IS_DEFAULT_ATTRIB_NAME

@Nonnull @NotEmpty static final String IS_DEFAULT_ATTRIB_NAME
"isDefault" attribute's local name.

See Also:
  - Constant Field Values

## Method Details

### getIndex

@Nullable Integer getIndex()
Gets the index for this service.

Returns:
  the index for this service

### setIndex

void setIndex(@Nullable Integer index)
Sets the index for this service.

Parameters:
  `index` - the index for this service

### isDefault

@Nullable Boolean isDefault()
Checks if this is the default service for the service provider.

Returns:
  true if this is the default service, false if not

### isDefaultXSBoolean

@Nullable XSBooleanValue isDefaultXSBoolean()
Checks if this is the default service for the service provider.

Returns:
  true if this is the default service, false if not

### setIsDefault

void setIsDefault(@Nullable Boolean newIsDefault)
Sets if this is the default service for the service provider. Boolean values will be marshalled to either "true" or "false".

Parameters:
  `newIsDefault` - true if this is the default service, false if not

### setIsDefault

void setIsDefault(@Nullable XSBooleanValue newIsDefault)
Sets if this is the default service for the service provider.

Parameters:
  `newIsDefault` - true if this is the default service, false if not

### getNames

@Nonnull @Live List<ServiceName> getNames()
Gets the list of names this service has.

Returns:
  list of names this service has

### getDescriptions

@Nonnull @Live List<ServiceDescription> getDescriptions()
Gets the descriptions for this service.

Returns:
  descriptions for this service

### getRequestedAttributes

@Nonnull @Live List<RequestedAttribute> getRequestedAttributes()
Gets the attributes this service requests.

Returns:
  attributes this service requests